Skip to content
Changelog

Report a bug

Smartsheet integration: operations for AI agents

Smartsheet connects to Type.com as an integration. This page lists the 187 operations documented for Claude and Codex in Type.com: 77 read, 77 write, 33 destructive.

About Smartsheet

Smartsheet is a work management platform for sheets, reports, dashboards, workspaces, and project tracking.

Categories: Productivity & Project Management

How to connect Smartsheet to Type.com

Connect
Managed OAuth through Pipedream when enabled for your workspace
Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

187 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

187 operations listed.

Contacts

  • Read

    List contacts

    Gets a list of the user's Smartsheet contacts. > **Note:** For pagination guidance, refer to Pagination.

    GET /contacts

  • Read

    Get contact

    Gets the specified contact.

    GET /contacts/{contactId}

Events

  • Read

    List events

    Fetches events for System Admin users. This includes actions such as creating, updating, loading, deleting, and more of items such as sheets, reports, dashboards, attachments, and users in your Smartsheet organization account. See Event types for the complete event listing, details, and example objects. > **Who can use this operation?** > > - **Plans:** Requires the Event Reporting premium add-on available for Enterprise and Advanced Work Management plans only. > - **Permissions:** System Admin > **Note:** You must specify exactly one of the query parameters `since` or `streamPosition`. Both are optional individually, but one is required.

    GET /events

  • Read

    List filtered events

    Fetches events related to given sheets and workspaces for non-admin users. See Event types for the complete event listing, details, and example objects. > **Who can use this operation?** > > - **Plans:** Requires the Event Reporting premium add-on available for Enterprise and Advanced Work Management plans only. > - **Permissions:** Non-admin users who have access to given sheets or workspaces.

    POST /filteredEvents

Favorites

  • Read

    Get favorites

    Gets a list of all of the user's favorite items. > **Note:** For pagination guidance, refer to Pagination.

    GET /favorites

  • Read

    Is favorite

    Checks whether an item has been tagged as a favorite for the current user by type and ID.

    GET /favorites/{favoriteType}/{favoriteId}

  • Write

    Add favorites

    Adds one or more favorite items for the current user. This operation supports both single-object and bulk semantics. For more information, see Optional Bulk Operations. If called with a single Favorite object, and that favorite already exists, error code 1129 is returned. If called with an array of Favorite objects, any objects specified in the array that are already marked as favorites are ignored and omitted from the response.

    POST /favorites

  • Destructive

    Delete multiple favorites

    Deletes all favorites with the same type for the user.

    DELETE /favorites/{favoriteType}

  • Destructive

    Delete favorite

    Deletes a single favorite from the user's list of favorite items by type and ID.

    DELETE /favorites/{favoriteType}/{favoriteId}

Folders

  • Read

    Get folder metadata

    Gets the metadata of a folder.

    GET /folders/{folderId}/metadata

  • Read

    List folder children

    Retrieves a paginated list of immediate child resources within a specified folder. **Key Characteristics** - **Shallow representation:** It returns metadata for the direct children only, rather than the full content or nested sub-structures. - **Filtered by type:** The results are restricted to the resource types defined in the `childrenResourceTypes` query parameter. - **Paginated:** The response provides a page of results, implying that for large folders, multiple requests may be necessary to view all children. > **Note:** For pagination guidance, refer to Token-based pagination.

    GET /folders/{folderId}/children

  • Read

    Get folder path

    Gets the hierarchical path of the folder, showing its location within folders and workspace, if workspace-level access is provided

    GET /folders/{folderId}/path

  • Write

    Update folder

    Updates a folder.

    PUT /folders/{folderId}

  • Write

    Copy folder

    Copies a folder. > **Important:** This operation doesn't copy cell history.

    POST /folders/{folderId}/copy

  • Write

    Create folder

    Creates a new folder inside an existing folder.

    POST /folders/{folderId}/folders

  • Write

    Move folder

    Moves a folder.

    POST /folders/{folderId}/move

  • Destructive

    Delete folder

    Deletes a folder.

    DELETE /folders/{folderId}

Sheets

  • Read

    List sheets

    Gets a list of all sheets that the user has access to. The list contains an abbreviated Sheet object for each sheet. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets

  • Read

    Get sheet

    Gets a sheet in the format specified, based on the sheet Id.

    GET /sheets/{sheetId}

  • Read

    Get sheet path

    Gets the hierarchical path of the sheet, showing its location within folders and workspace, if workspace-level access is provided

    GET /sheets/{sheetId}/path

  • Read

    Get sheet publish status

    Gets the sheet's 'Publish' settings.

    GET /sheets/{sheetId}/publish

  • Read

    Get sheet version

    Gets the sheet version without loading the entire sheet. The following actions increment sheet version: * add/modify cell value * add/modify discussion/comment * add/modify row * add/remove/update version attachment * cell updated via cell link * change formatting

    GET /sheets/{sheetId}/version

  • Read

    List org sheets

    Gets a summarized list of all sheets owned by the members of the organization account. > **Who can use this operation?** > > **Permissions:** System Admin * **_You may use the query string parameter numericDates with a value of true to enable strict parsing of dates in numeric format. See Dates and Times for more information._**

    GET /users/sheets

  • Write

    Create sheet in folder

    Creates a sheet from scratch or from the specified template in the specified folder.

    POST /folders/{folderId}/sheets

  • Write

    Create sheet in "Sheets" folder

    Creates a sheet from scratch or from the specified template in the user's Sheets folder (Home). For subfolders, use Create Sheet in Folder. **DEPRECATED** - The Sheets folder is being replaced by workspaces. To adapt to this change, please see Migrate from using the Sheets folder.

    POST /sheets

  • Write

    Update sheet

    Updates the sheet specified in the URL. To modify sheet contents, see Add Rows, Update Rows, Add Columns, and Update Column. This operation can be used to update an individual user's sheet settings. If the request body contains only the **userSettings** attribute, this operation may be performed even if the user only has read-only access to the sheet (for example, the user has viewer permissions or the sheet is read-only).

    PUT /sheets/{sheetId}

  • Write

    Copy sheet

    Creates a copy of the specified sheet.

    POST /sheets/{sheetId}/copy

  • Write

    Send sheet via email

    Sends the sheet as a PDF attachment via email to the designated recipients.

    POST /sheets/{sheetId}/emails

  • Write

    Move sheet

    Moves the specified sheet to a new location. When a sheet that is shared to one or more users and/or groups is moved into or out of a workspace, those sheet-level shares are preserved.

    POST /sheets/{sheetId}/move

  • Write

    Set sheet publish status

    Sets the publish status of the sheet and returns the new status, including the URLs of any enabled publishings.

    PUT /sheets/{sheetId}/publish

  • Write

    Create sheet in workspace

    Creates a sheet from scratch or from the specified template at the top-level of the specified workspace. For subfolders, use Create Sheet in Folder.

    POST /workspaces/{workspaceId}/sheets

  • Destructive

    Delete sheet

    Deletes the sheet specified in the URL.

    DELETE /sheets/{sheetId}

Imports

  • Write

    Import sheet into folder

    Imports CSV or XLSX data into a new sheet in the specified folder. Note the following: * Both sheetName and the file name must use ASCII characters. * The source data must be basic text. To include rich formula data, import and create a sheet first, and then use Update Rows. To work with images, see Cell Images. * XLS is not supported. You must use XLSX. * Hierarchical relationships between rows in an external file won't import.

    POST /folders/{folderId}/sheets/import

  • Write

    Import sheet from CSV / XLSX

    Imports CSV or XLSX data into a new sheet in the top-level "Sheets" folder. Note the following: * Both sheetName and the file name must use ASCII characters. * The source data must be basic text. To include rich formula data, import and create a sheet first, and then use Update Rows. To work with images, see Cell Images. * XLS is not supported. You must use XLSX. * Hierarchical relationships between rows in an external file won't import. **DEPRECATED** - The Sheets folder is being replaced by workspaces. To adapt to this change, please see Migrate from using the Sheets folder.

    POST /sheets/import

  • Write

    Import sheet into workspace

    Imports CSV or XLSX data into a new sheet in the specified workspace. Note the following: * Both sheetName and the file name must use ASCII characters. * The source data must be basic text. To include rich formula data, import and create a sheet first, and then use Update Rows. To work with images, see Cell Images. * XLS is not supported. You must use XLSX. * Hierarchical relationships between rows in an external file won't import.

    POST /workspaces/{workspaceId}/sheets/import

Home

  • Read

    List contents

    Gets a nested list of all Home objects shared to the user, including dashboards, folders, reports, sheets, and templates, as shown on the "Home" tab. **DEPRECATED** - This endpoint is being removed. To adapt to this change, please see Migrate from using the Sheets folder.

    GET /folders/personal

  • Read

    List folders in home

    Lists the folders in your **Sheets** folder. The list contains an abbreviated Folder object for each folder. > **Note:** For pagination guidance, refer to Pagination. **DEPRECATED** - The Sheets folder is being replaced by workspaces. To adapt to this change, please see Migrate from using the Sheets folder.

    GET /home/folders

  • Write

    Create folder

    Creates a new folder. **DEPRECATED** - This endpoint is being removed. To adapt to this change, please see Migrate from using the Sheets folder.

    POST /home/folders

Groups

  • Read

    List org groups

    Gets a list of all groups in an organization account. To fetch the members of an individual group, use the Get Group operation. > **Note:** For pagination guidance, refer to Pagination.

    GET /groups

  • Read

    Get group

    Gets information about an array of Group Members for the group specified in the URL.

    GET /groups/{groupId}

  • Write

    Add group

    Creates a new group. **_This operation is only available to group administrators and system administrators._**

    POST /groups

  • Write

    Update group

    Updates the Group specified in the URL. **_This operation is only available to group administrators and system administrators._**

    PUT /groups/{groupId}

  • Destructive

    Delete group

    Deletes the group specified in the URL. **_This operation is only available to group administrators and system administrators._**

    DELETE /groups/{groupId}

Group Members

  • Write

    Add group members

    Adds one or more members to a group. **_This operation supports both single-object and bulk semantics. For more information, see Optional Bulk Operations._** If called with a single GroupMember object, and that group member already exists, error code **1129** is returned. If called with an array of GroupMember objects, any users specified in the array that are already group members are ignored and omitted from the response. **_This operation is only available to group administrators and system administrators._**

    POST /groups/{groupId}/members

  • Destructive

    Delete group members

    Removes a member from a group. **_This operation is only available to group administrators and system administrators._**

    DELETE /groups/{groupId}/members/{userId}

Cell Images

  • Read

    List image URLs

    Posts an array of Image Url objects that can be used to retrieve the specified cell images.

    POST /imageurls

  • Write

    Add image to cell

    Uploads an image to the specified cell within a sheet.

    POST /sheets/{sheetId}/rows/{rowId}/columns/{columnId}/cellimages

Reports

  • Read

    List reports

    List all Reports accessible to the user. > **Note:** For pagination guidance, refer to Pagination.

    GET /reports

  • Read

    Get report

    Gets a report based on the specified ID

    GET /reports/{reportId}

  • Read

    List report columns

    Lists the columns for the specified report. > **Note:** For pagination guidance, refer to Token-based pagination.

    GET /reports/{reportId}/columns

  • Read

    Get report column

    Gets the specified column in the report.

    GET /reports/{reportId}/columns/{columnVirtualId}

  • Read

    Get report definition

    Gets the definition (filters, grouping criteria, summarizing criteria, and sorting criteria) for the specified report.

    GET /reports/{reportId}/definition

  • Read

    Get report path

    Gets the hierarchical path of the report, showing its location within folders and workspace, if workspace-level access is provided

    GET /reports/{reportId}/path

  • Read

    Gets a report's publish settings

    Get a Report's publish settings based on the specified ID

    GET /reports/{reportId}/publish

  • Read

    List report scope

    Lists the scope (source sheets and workspaces) for the specified report. > **Note:** For pagination guidance, refer to Token-based pagination.

    GET /reports/{reportId}/scope

  • Write

    Create report

    Creates a new report from scratch in the specified destination, using the provided scope, columns and report definition.

    POST /reports

  • Write

    Add report columns

    Add columns to a report specified by a report ID. The source sheet columns are matched in these ways: - [`type`, `title`] for **regular columns** - [`type`, `systemColumnType`] for **system columns** - [`type=TEXT_NUMBER`, `sheetNameColumn=true`] for the special **sheet name report column** **Note:** All indexes of the columns must be equal. The columns will be added at the specified index, and existing columns at that index or greater will be shifted to the right. For example, if there are 5 columns in the report and a new column is added with index 2, the new column will be added at position 3 and the existing columns that were at positions 3 and 4 will be shifted to positions 4 and 5, respectively. **Note:** You can combine multiple `CHECKBOX` columns or multiple `PICKLIST` columns from different sheets into a single report column, even if their underlying symbols differ. However, you can't combine a `CHECKBOX` column with a `PICKLIST` column, because they're different types. **Note:** The system column type `AUTO_NUMBER` is matched together with columns having the same `title` and `type=TEXT_NUMBER`.

    POST /reports/{reportId}/columns

  • Write

    Update report column

    Updates the specified column in the report.

    PUT /reports/{reportId}/columns/{columnVirtualId}

  • Write

    Send report via email

    Sends the report as a PDF attachment via email to the designated recipients

    POST /reports/{reportId}/emails

  • Write

    Set a report's publish status

    Sets the publish status of the report and returns the new status, including the URL of any enabled publishing.

    PUT /reports/{reportId}/publish

  • Write

    Add report scope

    Adds source sheets for inclusion in the specified report by specifying individual sheets or their parent workspaces. Specifying a workspace creates a dynamic scope—-the report automatically includes all sheets in that workspace and updates whenever sheets are added or removed from it. > **Note:** You can have up to 30,000 source sheets per report.

    POST /reports/{reportId}/scope

  • Destructive

    Delete report

    Deletes a report based on the specified ID

    DELETE /reports/{reportId}

  • Destructive

    Delete report column

    Deletes the specified column from the report. > **Note:** The primary column in row reports and the sheet name column in summary reports cannot be deleted.

    DELETE /reports/{reportId}/columns/{columnVirtualId}

  • Destructive

    Update report definition

    Create or entirely replace the definition for the specified report.

    PUT /reports/{reportId}/definition

  • Destructive

    Remove report scope

    Removes source sheets from the specified report by specifying individual sheets or their parent workspaces.

    DELETE /reports/{reportId}/scope

Search

  • Read

    Search sheet

    Gets a list of the user's search results in a sheet, based on a query. The list contains an abbreviated row object for each query-matching row in the sheet. > **Important:** If you have't used the public API in a while, we will need to provision your data. This could take up to 24 hours so please check back later! > **Note:** Newly created or recently updated data may not be immediately discoverable via search.

    GET /search/sheets/{sheetId}

Server Info

  • Read

    Gets application constants

    Gets application constants.

    GET /serverinfo

Sharing

  • Read

    List asset shares

    Retrieves a list of all users and groups to whom the specified asset is shared, and their access level. This operation supports query string parameters for pagination of results. > **Note:** For pagination guidance, refer to Token-based pagination.

    GET /shares

  • Read

    Get asset share

    Retrieves a specific share for the specified asset.

    GET /shares/{shareId}

  • Write

    Share asset

    Shares an asset with the specified users and/or groups. **One (and only one) of the following is required (alongside accessLevel)**: - email - groupId

    POST /shares

  • Write

    Update asset share

    Updates the share for a specified asset. > **Note:** This operation doesn't support asset ownership transfer.

    PATCH /shares/{shareId}

  • Destructive

    Delete asset share

    Deletes the share for a specified asset.

    DELETE /shares/{shareId}

Attachments

  • Read

    List attachments

    Gets a list of all attachments that are on the sheet, including sheet, row, and discussion-level attachments. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/attachments

  • Read

    Get attachment

    Fetches a temporary URL that allows you to download an attachment. The urlExpiresInMillis attribute tells you how long the URL is valid.

    GET /sheets/{sheetId}/attachments/{attachmentId}

  • Read

    List versions

    Gets a list of all versions of the given attachmentId in order from newest to oldest. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/attachments/{attachmentId}/versions

  • Read

    List discussion attachments

    Gets a list of all attachments that are in the discussion. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/discussions/{discussionId}/attachments

  • Read

    List row attachments

    Gets a list of all attachments that are on the row, including row and discussion-level attachments. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/rows/{rowId}/attachments

  • Write

    Attach file or URL to sheet

    Attaches a file to the sheet. The URL can be any of the following: * Normal URL (attachmentType "LINK") * Box.com URL (attachmentType "BOX_COM") * Dropbox URL (attachmentType "DROPBOX") * Egnyte URL (attachmentType "EGNYTE") * Evernote URL (attachmentType "EVERNOTE") * Google Drive URL (attachmentType "GOOGLE_DRIVE") * OneDrive URL (attachmentType "ONEDRIVE") > **Important:** Smartsheet Gov allows only the following attachment types: > - BOX_COM > - FILE > - GOOGLE_DRIVE > - LINK > - ONEDRIVE > **Important:** The file size limit is 30mb. For multipart uploads please use "multipart/form-data" content type. > **Note:** Posting a file attachment is resource-intensive and is limited to **30 requests per minute per API token**. For details, see Rate limiting.

    POST /sheets/{sheetId}/attachments

  • Write

    Attach new version

    Uploads a new version of a file to a sheet or row. This operation can be performed using a simple upload or a multipart upload. > **Important:** The file size limit is 30mb.

    POST /sheets/{sheetId}/attachments/{attachmentId}/versions

  • Write

    Attach file or URL to comment

    Attaches a file to the comment. The URL can be any of the following: * Normal URL (attachmentType "LINK") * Box.com URL (attachmentType "BOX_COM") * Dropbox URL (attachmentType "DROPBOX") * Egnyte URL (attachmentType "EGNYTE") * Evernote URL (attachmentType "EVERNOTE") * Google Drive URL (attachmentType "GOOGLE_DRIVE") * OneDrive URL (attachmentType "ONEDRIVE") > **Important:** Smartsheet Gov allows only the following attachment types: > - BOX_COM > - FILE > - GOOGLE_DRIVE > - LINK > - ONEDRIVE > **Important:** The file size limit is 30mb. This operation can be performed using a simple upload or a multipart upload. > **Note:** Posting a file attachment is resource-intensive and is limited to **30 requests per minute per API token**. For details, see Rate limiting.

    POST /sheets/{sheetId}/comments/{commentId}/attachments

  • Write

    Attach file or URL to row

    Attaches a file to the row. The URL can be any of the following: * Normal URL (attachmentType "LINK") * Box.com URL (attachmentType "BOX_COM") * Dropbox URL (attachmentType "DROPBOX") * Egnyte URL (attachmentType "EGNYTE") * Evernote URL (attachmentType "EVERNOTE") * Google Drive URL (attachmentType "GOOGLE_DRIVE") * OneDrive URL (attachmentType "ONEDRIVE") > **Important:** Smartsheet Gov allows only the following attachment types: > - BOX_COM > - FILE > - GOOGLE_DRIVE > - LINK > - ONEDRIVE > **Important:** The file size limit is 30mb. For multipart uploads please use "multipart/form-data" content type. > **Note:** Posting a file attachment is resource-intensive and is limited to **30 requests per minute per API token**. For details, see Rate limiting.

    POST /sheets/{sheetId}/rows/{rowId}/attachments

  • Destructive

    Delete attachment

    Deletes the attachment specified in the URL.

    DELETE /sheets/{sheetId}/attachments/{attachmentId}

  • Destructive

    Delete all versions

    Deletes all versions of the attachment corresponding to the specified attachmentId. For attachments with multiple versions, this effectively deletes the attachment from the object that it’s attached to.

    DELETE /sheets/{sheetId}/attachments/{attachmentId}/versions

Automation Rules

  • Read

    List all automation rules

    Returns all automation rules associated with the specified sheet. Multistep workflows are not returned via the API. Instead, you'll see an error 400 - 1266: This rule is not accessible through the API. Only single-action notifications, approval requests, or update requests qualify. For users of Smartsheet for Slack, note that Slack notifications are not returned. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/automationrules

  • Read

    Get an automation rule

    Returns the specified automation rule, including any action values.

    GET /sheets/{sheetId}/automationrules/{automationRuleId}

  • Write

    Update an automation rule

    Updates an existing automation rule. When sending an AutomationRule, you must always specify **action.type** and it must match the existing rule type.

    PUT /sheets/{sheetId}/automationrules/{automationRuleId}

  • Destructive

    Delete an automation rule

    Deletes an automation rule.

    DELETE /sheets/{sheetId}/automationrules/{automationRuleId}

Columns

  • Read

    List columns

    Gets a list of all columns belonging to the specified sheet. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/columns

  • Read

    Get column

    Gets the definition of the specified column. > **Note:** If you need to get the values of individual cells within the column, use Get sheet or Get row.

    GET /sheets/{sheetId}/columns/{columnId}

  • Write

    Add columns

    Inserts one or more columns into the specified sheet. > **Note:** This operation can also be performed using a simple upload or a multipart upload. For more information, see Post an Attachment.

    POST /sheets/{sheetId}/columns

  • Destructive

    Delete column

    Deletes the specified column.

    DELETE /sheets/{sheetId}/columns/{columnId}

  • Destructive

    Update column

    Updates properties of the column, moves the column, or renames the column. > **Important:** > > - You cannot change the `type` of a Primary Column. > > - If you change the `type`, all cells in the column are converted to the new column type, and column validation is cleared. > > - The `type` property is optional when moving or renaming a column, but it's required when changing `symbol`, `systemColumnType`, `options`, `contactOptions`, or `autoNumberFormat`. > > - When setting a column type of `PICKLIST` or `MULTI_PICKLIST`, you must follow a one update per API call rule. For these column types, you must set the column type first, before making any additional constraints (such as setting `validation` to `true`) in subsequent calls. > > - Column `options` are forbidden in the request body when the body specifies a `symbol` update. > > - While dependencies are enabled on a sheet, you can't change the `type` of any calendar column, Gantt column, or Resource Management column. Such columns have a `tags` array that contains at least one of the following enum values: > > - CALENDAR_END_DATE > - CALENDAR_START_DATE > - CARD_DONE > - GANTT_ALLOCATION > - GANTT_ASSIGNED_RESOURCE > - GANTT_DISPLAY_LABEL > - GANTT_DURATION > - GANTT_END_DATE > - GANTT_PERCENT_COMPLETE > - GANTT_PREDECESSOR > - GANTT_START_DATE > - BASELINE_START_DATE > - BASELINE_END_DATE > - BASELINE_VARIANCE

    PUT /sheets/{sheetId}/columns/{columnId}

Comments

  • Read

    Get a comment

    Gets the comment specified by commentId.

    GET /sheets/{sheetId}/comments/{commentId}

  • Write

    Edit a comment

    Updates the text of a comment. NOTE: Only the user that created the comment is permitted to update it.

    PUT /sheets/{sheetId}/comments/{commentId}

  • Write

    Create a comment

    Adds a comment to a discussion. To create a comment with an attachment please use "multipart/form-data" content type.

    POST /sheets/{sheetId}/discussions/{discussionId}/comments

  • Destructive

    Delete a comment

    Deletes the comment specified in the URL.

    DELETE /sheets/{sheetId}/comments/{commentId}

Cross Sheet References

  • Read

    List cross-sheet references

    Lists all cross-sheet references for the sheet. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/crosssheetreferences

  • Read

    Get cross-sheet reference

    Gets the cross-sheet reference specified in the URL.

    GET /sheets/{sheetId}/crosssheetreferences/{crossSheetReferenceId}

  • Write

    Create cross-sheet references

    Adds a cross-sheet reference between two sheets and defines the data range for formulas. Each distinct data range requires a new cross-sheet reference.

    POST /sheets/{sheetId}/crosssheetreferences

Discussions

  • Read

    List discussions

    Gets a list of all discussions associated with the specified sheet. Remember that discussions are containers for the conversation thread. To see the entire thread, use the include=comments parameter. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/discussions

  • Read

    Get discussion

    Gets the discussion specified by discussionId.

    GET /sheets/{sheetId}/discussions/{discussionId}

  • Read

    List discussions with a row

    Gets a list of all discussions associated with the specified row. Remember that discussions are containers for the conversation thread. To see the entire thread, use the `include=comments` parameter. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/rows/{rowId}/discussions

  • Write

    Create discussion

    Creates a new discussion on a sheet. To create a discussion with an attachment please use "multipart/form-data" content type.

    POST /sheets/{sheetId}/discussions

  • Write

    Create a discussion on a row

    Creates a new discussion on a row. To create a discussion with an attachment please use "multipart/form-data" content type.

    POST /sheets/{sheetId}/rows/{rowId}/discussions

  • Destructive

    Delete a discussion

    Deletes the discussion specified in the URL.

    DELETE /sheets/{sheetId}/discussions/{discussionId}

Proofs

  • Read

    List proofs

    Gets a list of all proofs for a given sheet. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/proofs

  • Read

    Get proof

    Gets the proof specified in the URL. Returns the proof, which is optionally populated with discussion and attachment objects.

    GET /sheets/{sheetId}/proofs/{proofId}

  • Read

    List proof attachments

    Gets a list of all attachments that are in the proof, excluding discussion-level attachments in the proof. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/proofs/{proofId}/attachments

  • Read

    List proof discussions

    Gets a list of all discussions that are in the proof. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/proofs/{proofId}/discussions

  • Read

    List proof request actions

    Gets a summarized list of all request actions associated with the specified proof. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/proofs/{proofId}/requestactions

  • Read

    List proof versions

    Gets a list of all versions of the given proofId in order from newest to oldest. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/proofs/{proofId}/versions

  • Write

    Update proof status

    Sets the proof status as either complete or incomplete.

    PUT /sheets/{sheetId}/proofs/{proofId}

  • Write

    Attach file to proof

    Attaches a file to the proof. > **Important:** The file size limit is 30mb. > **Note:** Posting a file attachment is resource-intensive and is limited to **30 requests per minute per API token**. For details, see Rate limiting.

    POST /sheets/{sheetId}/proofs/{proofId}/attachments

  • Write

    Create proof discussion

    Creates a discussion on a proof.

    POST /sheets/{sheetId}/proofs/{proofId}/discussions

  • Write

    Create proof request

    Creates a proof request.

    POST /sheets/{sheetId}/proofs/{proofId}/requests

  • Write

    Create proof version

    Creates a proof version. Proof ID must be for the original proof.

    POST /sheets/{sheetId}/proofs/{proofId}/versions

  • Write

    Create proof

    Creates a proof on a row.

    POST /sheets/{sheetId}/rows/{rowId}/proofs

  • Destructive

    Delete proof

    Deletes the proof including all versions. The proofId must be for the original version.

    DELETE /sheets/{sheetId}/proofs/{proofId}

  • Destructive

    Delete proof requests

    Deletes all proof requests in a proof.

    DELETE /sheets/{sheetId}/proofs/{proofId}/requests

  • Destructive

    Delete proof version

    Deletes a proof version. Proof ID must be a current version proof ID.

    DELETE /sheets/{sheetId}/proofs/{proofId}/versions

Rows

  • Read

    Get row

    Gets the sheet row specified by the sheet and row IDs.

    GET /sheets/{sheetId}/rows/{rowId}

  • Write

    Add rows

    Inserts one or more rows into the sheet specified in the URL. If you want to insert the rows in any position but the default, use location-specifiers (that is, `toTop`, `toBottom`, `parentId`, `siblingId`, `above`, `indent`, `outdent`). See sample code tabs for variations in syntax. Note: This operation does't' add rows with cells that have images. However, *after* the cell exists in a sheet, you can upload an image to a cell using the Add Image to Cell operation. This operation supports both single-object and bulk semantics. For more information, refer to Optional Bulk Operations.

    POST /sheets/{sheetId}/rows

  • Write

    Update rows

    Updates cell values in the specified rows, expands/collapses the specified rows, or modifies the position of specified rows (including indenting/outdenting). For detailed information about changing row positions, see location-specifier attributes. Note: This operation does not handle adding images to cells. However, you can upload an image to a cell by calling the operation described in the Add Image to Cell page.

    PUT /sheets/{sheetId}/rows

  • Write

    Send rows via email

    Sends one or more rows via email.

    POST /sheets/{sheetId}/rows/emails

  • Write

    Copy rows to another sheet

    Copies rows from the sheet specified in the URL to (the bottom of) another sheet.

    POST /sheets/{sheetId}/rows/copy

  • Write

    Move rows to another sheet

    Moves rows from the sheet specified in the URL to (the bottom of) another sheet.

    POST /sheets/{sheetId}/rows/move

  • Write

    Sort rows in sheet

    Sorts the rows of a sheet, either in ascending or descending order.

    POST /sheets/{sheetId}/sort

  • Destructive

    Delete rows

    Deletes one or more rows from the sheet specified in the URL.

    DELETE /sheets/{sheetId}/rows

Cells

  • Read

    List cell history

    Gets the cell modification history. > **Note:** Fetching cell history is resource-intensive and is limited to **30 requests per minute per API token**. For details, see Rate limiting. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/rows/{rowId}/columns/{columnId}/history

Update Requests

  • Read

    Lists sent update requests

    Lists summarized sent update requests on the sheet. For comprehensive details on a sent update request, refer to Get sent update request. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/sentupdaterequests

  • Read

    Get sent update request

    Gets the specified sent update request on the sheet.

    GET /sheets/{sheetId}/sentupdaterequests/{sentUpdateRequestId}

  • Read

    List update requests

    Gets a summarized list of all update requests that have future schedules associated with the specified sheet. Only the following fields are returned in the response: * **id** * **ccMe** * **createdAt** * **message** * **modifiedAt** * **schedule** * **sendTo** * **sentBy** * **subject** > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/updaterequests

  • Read

    Get an update request

    Gets the specified update request for the sheet that has a future schedule. The rowIds and columnIds in the returned UpdateRequest object represent the list at the time the update request was created or last modified. The lists may contain Ids of rows or columns that are no longer valid (for example, they have been removed from the sheet).

    GET /sheets/{sheetId}/updaterequests/{updateRequestId}

  • Write

    Create an update request

    Creates an update request for the specified rows within the sheet. An email notification (containing a link to the update request) is sent to the specified recipients according to the specified schedule. The recipients of an update request must be specified by using email addresses only. Sending an update request to a group is not supported. The following attributes have the following values when not specified: * **ccMe:** false * **message:** Please update the following rows in my online sheet. * **subject:** Update Request: {Sheet Name} When the Schedule object is not specified, the request is sent to the recipients immediately. If an error occurs because the request specified one or more *alternate email addresses*, please retry using the primary email address.

    POST /sheets/{sheetId}/updaterequests

  • Write

    Update an update request

    Changes the specified update request for the sheet. **Making changes to update requests that do not have future scheduled delivery is not allowed.** The UpdateRequest object in the request body must specify one or more of the following attributes: * **ccMe:** Boolean * **columnIds:** number[] * **includeAttachments:** Boolean * **includeDiscussions:** Boolean * **message:** string * **schedule:** Schedule object * **sendTo:** Recipient[] * **subject:** string If an error occurs because the request specified one or more *alternate email addresses*, please retry using the primary email address.

    PUT /sheets/{sheetId}/updaterequests/{updateRequestId}

  • Destructive

    Delete sent update request

    Deletes the specified sent update request. **Delete operation is supported only when the specified sent update request is in the pending status. Deleting a sent update request that was already completed by recipient is not allowed.**

    DELETE /sheets/{sheetId}/sentupdaterequests/{sentUpdateRequestId}

  • Destructive

    Delete an update request

    Terminates the future scheduled delivery of the update request specified in the URL.

    DELETE /sheets/{sheetId}/updaterequests/{updateRequestId}

Sheet Summary

  • Read

    Get sheet summary

    Returns object containing array of summary fields. Allows for pagination of results.

    GET /sheets/{sheetId}/summary

  • Read

    Get summary fields

    Returns object containing array of summary fields. > **Note:** For pagination guidance, refer to Pagination.

    GET /sheets/{sheetId}/summary/fields

  • Write

    Update summary fields

    Updates the summary fields for the given sheet.

    PUT /sheets/{sheetId}/summary/fields

  • Write

    Add summary fields

    Creates one or more summary fields for the specified sheet.

    POST /sheets/{sheetId}/summary/fields

  • Write

    Add image to sheet summary

    Adds an image to the summary field.

    POST /sheets/{sheetId}/summary/fields/{fieldId}/images

  • Destructive

    Delete summary fields

    Deletes summary fields from the specified sheet.

    DELETE /sheets/{sheetId}/summary/fields

Dashboards

  • Read

    List dashboards

    Gets a list of all dashboards that the user has access to. > **Note:** For pagination guidance, refer to Token-based pagination.

    GET /sights

  • Read

    Get Dashboard

    Gets the specified dashboard.

    GET /sights/{sightId}

  • Read

    Get dashboard path

    Gets the hierarchical path of the dashboard, showing its location within folders and workspace, if workspace-level access is provided

    GET /sights/{sightId}/path

  • Read

    Get dashboard publish status

    Gets the dashboard 'publish' settings.

    GET /sights/{sightId}/publish

  • Write

    Update dashboard

    Updates (renames) the specified dashboard.

    PUT /sights/{sightId}

  • Write

    Copy dashboard

    Creates a copy of the specified dashboard.

    POST /sights/{sightId}/copy

  • Write

    Move dashboard

    Moves the specified dashboard to a new location.

    POST /sights/{sightId}/move

  • Write

    Set dashboard publish status

    Publishes or unpublishes a dashboard.

    PUT /sights/{sightId}/publish

  • Destructive

    Delete dashboard

    Deletes the dashboard specified in the URL.

    DELETE /sights/{sightId}

Tokens

  • Write

    Gets or refreshes an access token

    Gets or refreshes an access token, as part of the OAuth process.

    POST /token

  • Destructive

    Revoke access token

    Revokes the access token used to make this request. The access token is no longer valid, and subsequent API calls made using the token fail.

    DELETE /token

Users

  • Read

    List users

    Gets a list of users in the organization account. To filter by email, use the optional email query string parameter to specify a list of users' email addresses. For **System admins**, the following User object attributes are included in the response (else, they are omitted from the response): * **admin** * **groupAdmin** * **isInternal** * **licensedSheetCreator** * **resourceViewer** * **seatType** - Shows when you specify either or both the `planId` and `seatType` query parameters. * **seatTypeLastChangedAt** * **sheetCount** (SUNSET) - The `sheetCount` attribute now holds the value `-1` and is included only if the retrieved user's `status` is `ACTIVE`. * **status** > **Note:** If the API request is submitted by a **System Admin** of an **Enterprise account**, and Custom Welcome Screen is enabled, the following User object attributes are included in the response (else, they are omitted from the response): > > **customWelcomeScreenViewed** (omitted if the user has never viewed the Custom Welcome Screen ) > **Note:** For pagination guidance, refer to Pagination.

    GET /users

  • Read

    Get current user

    Gets the current user. For **System Admins**, the following UserProfile attributes are included in the response: * `customWelcomeScreenViewed` (only included when an Enterprise user has viewed the Custom Welcome Screen ) * `lastLogin` (only included if the user has logged in) * `sheetCount` (**Sunset**) - The `sheetCount` attribute now holds the value `-1` and is included only if the retrieved user's `status` is `ACTIVE`.

    GET /users/me

  • Read

    Get user

    Gets the user specified in the URL. For **System Admins**, the following UserProfile attributes are included in the response): * `admin` * `customWelcomeScreenViewed` (only returned when an Enterprise user has viewed the Custom Welcome Screen ) * `groupAdmin` * `lastLogin` (only returned if the user has logged in) * `licensedSheetCreator` * `resourceViewer` * `sheetCount` (**Sunset**) - The `sheetCount` attribute now holds the value `-1` and is included only if the retrieved user's `status` is `ACTIVE`. * `status`

    GET /users/{userId}

  • Read

    List user plans

    List plans to which the user belongs. > **Note:** For pagination guidance, refer to Token-based pagination.

    GET /users/{userId}/plans

  • Write

    Add user

    Adds a user to the organization account. > **Who can use this operation?** > > **Permissions:** System Admin If successful, and user auto provisioning (UAP) is on, and user matches the auto provisioning rules, user is added to the org. If UAP is off, or user does not match UAP rules, user is invited to the org and must explicitly accept the invitation to join. > **Note:** On user model plans, this operation sets `licensedSheetCreator` to `true`, regardless of the value provided in the request body. > **Note:** In some specific scenarios, supplied attributes such as firstName and lastName may be ignored. For example, if you are inviting an existing Smartsheet user to join your organization account, and the invited user has not yet accepted your invitation, any supplied firstName and lastName are ignored.

    POST /users

  • Write

    Update user

    Updates attributes of the specified user. > **Who can use this operation?** > > **Permissions:** System Admin. To modify a user who belongs to a **user model organization**, you must also be a member of that same organization. **Licensed sheet creator constraints** - **On the user model**, you can only update `licensedSheetCreator` for a **System Admin** user (`admin: true`). - You can't revoke the licensed sheet creator status (that is, set `licensedSheetCreator` to `false`) for a user who is either a **Group Admin** (`groupAdmin: true`) or a **Resource Viewer** (`resourceViewer: true`).

    PUT /users/{userId}

  • Write

    Downgrade user

    Downgrades the user associated with the specified Smartsheet plan. Downgrading a user does not affect their existing permissions on owned or shared items. A user can be downgraded to the following seat types: * GUEST - only external users can be downgraded to this seat type. * CONTRIBUTOR * VIEWER (Deprecated, use CONTRIBUTOR instead) > **Who can use this operation?** > > **Permissions:** System Admin

    POST /users/{userId}/plans/{planId}/downgrade

  • Write

    Update user profile image

    Uploads an image to the user profile. Uploading a profile image differs from Adding an Image to a Cell in the following ways: * A **Content-Length** header is not required * Allowable file types are limited to: gif, jpg, and png * Maximum file size is determined by the following rules: * If you have not defined a custom size and the image is larger than 1050 x 1050 pixels, Smartsheet scales the image down to 1050 x 1050 * If you have defined a custom size, Smartsheet uses that as the file size max * If the image is not square, Smartsheet uses a solid color to pad the image

    POST /users/{userId}/profileimage

  • Write

    Reactivate user

    Reactivates the user associated with the current Smartsheet plan, restoring the user's access to Smartsheet, owned items, and shared items. Optionally, with Enterprise Plan Manager (EPM) enabled, you can specify the ID of a user within your managed plan hierarchy. > **Important:** You can reactivate the user only if that user has been deactivated for less than thirty (30) days. > **Who can use this operation?** > > **Permissions:** System Admin > > This operation is unavailable for Smartsheet Gov. Attempting to reactivate a user that matches any of the following criteria results in an error: - The user's primary email address belongs to an ISP domain (e.g., `gmail.com`, `yahoo.com`, `outlook.com`). For example, see the common ISP domains listed below. - The user's primary email address is unassociated with the current Smartsheet plan domain(s). - The user is not in the plan's organization. Users with primary email addresses on the following ISP domains cannot be reactivated: - `aol.com` - `charter.net` - `comcast.net` - `duck.com` - `email.com` - `gmail.com` - `hotmail.com` - `icloud.com` - `live.com` - `mail.com` - `mail.ru` - `outlook.com` - `rocketmail.com` - `usa.com` - `verizon.net` - `web.de` - `yahoo.com`

    POST /users/{userId}/reactivate

  • Write

    Upgrade user

    Upgrades the user associated with the specified Smartsheet plan. A user can be upgraded to the following seat types: * GUEST - only external users can be upgraded to this seat type. * MEMBER > **Who can use this operation?** > > **Permissions:** System Admin > **Note:** Upgrading a user to its current seat type returns `200` OK.

    POST /users/{userId}/plans/{planId}/upgrade

  • Destructive

    Remove user from organization

    Removes the user from your organization. > **Who can use this operation?** > > **Permissions:** System Admin > **Important:** To remove a user from your plan, refer to Remove user from plan. **If you have Enterprise Plan Manager enabled**, this endpoint removes the user from organizations that inherit from your organization. **If you're managing users via an external source**, such as an identity provider (IdP) or directory integration (DI) provider, you must use that source to remove users. Okta and Azure AD are examples of external sources.

    DELETE /users/{userId}

  • Destructive

    Deactivate user

    Deactivates the user associated with the current Smartsheet plan, blocking the user from using Smartsheet in any way. Deactivating a user does not affect their existing permissions on owned or shared items. Optionally, with Enterprise Plan Manager (EPM) enabled, you can deactivate a user from child organizations. > **Who can use this operation?** > > **Permissions:** System Admin > > This operation is unavailable for Smartsheet Gov. Attempting to deactivate a user that matches any of the following criteria results in an error: - The user's primary email address belongs to an ISP domain (e.g., `gmail.com`, `yahoo.com`, `outlook.com`). For example, see the common ISP domains listed below. - The user's primary email address is unassociated with the current Smartsheet plan domain(s). - The user is managed by an external source, such as an identity provider (IdP) or directory integration (DI) provider. External source examples include Okta and Azure AD. Deactivating such a user can only be done via the external source. Users with primary email addresses on the following ISP domains cannot be deactivated: - `aol.com` - `charter.net` - `comcast.net` - `duck.com` - `email.com` - `gmail.com` - `hotmail.com` - `icloud.com` - `live.com` - `mail.com` - `mail.ru` - `outlook.com` - `rocketmail.com` - `usa.com` - `verizon.net` - `web.de` - `yahoo.com`

    POST /users/{userId}/deactivate

  • Destructive

    Remove user from plan

    Deactivates the user's membership to the plan. In the plan, the user maintains ownership of items but has read-only access to those items and shared items. > **Important:** This operation is unavailable to legacy plans. Calling this operation for a legacy plan results in an error.

    DELETE /users/{userId}/plans/{planId}

Alternate Email Address

  • Read

    List alternate emails

    Gets a list of the alternate emails for the specified user. > **Who can use this operation?** > > - **Plans:** Only Enterprise and Advanced Work Management plans with this feature activated by Support can use this method. If you want to activate this feature, please contact Support. > - **Permissions:** System Admin > **Note:** For pagination guidance, refer to Pagination.

    GET /users/{userId}/alternateemails

  • Read

    Get alternate email

    Gets the specified alternate email. > **Who can use this operation?** > > - **Plans:** Only Enterprise and Advanced Work Management plans with this feature activated by Support can use this method. If you want to activate this feature, please contact Support. > - **Permissions:** System Admin

    GET /users/{userId}/alternateemails/{alternateEmailId}

  • Write

    Add alternate emails

    Adds one or more alternate email addresses for the specified user. > **Who can use this operation?** > > - **Plans:** Only Enterprise plans with this feature activated by Support can use this method. If you want to activate this feature, please contact Support. > - **Permissions:** System Admin

    POST /users/{userId}/alternateemails

  • Write

    Make alternate email primary

    Makes the specified alternate email address to become the primary email address for the specified user. > **Who can use this operation?** > > - **Plans:** Only Enterprise and Advanced Work Management plans with this feature activated by Support can use this method. If you want to activate this feature, please contact Support. > - **Permissions:** System Admin The alternate email address can only be made primary if both conditions are met: - The primary email address domain is validated - The alternate email address is confirmed or the alternate email address domain is validated

    POST /users/{userId}/alternateemails/{alternateEmailId}/makeprimary

  • Destructive

    Delete alternate email

    Deletes the specified alternate email address for the specified user. > **Who can use this operation?** > > - **Plans:** Only Enterprise and Advanced Work Management plans with this feature activated by Support can use this method. If you want to activate this feature, please contact Support. > - **Permissions:** System Admin

    DELETE /users/{userId}/alternateemails/{alternateEmailId}

Webhooks

  • Read

    List webhooks

    Gets the list of all *webhooks* that the user owns (if a user-generated token was used to make the request) or the list of all webhooks associated with the third-party app (if a third-party app made the request). Items in the response are ordered by API creation date (most recent first). **Note: In the response, each webhook's `events` field defaults to `["*.*"]`, regardless of its actual value.** Alternatively, call GET /webhook/{webhookId} on an individual webhook to get its `events` value.

    GET /webhooks

  • Read

    Get webhook

    Gets a matching webhook based on the specified ID.

    GET /webhooks/{webhookId}

  • Write

    Create webhook

    Creates a new Webhook. > **Important:** On creation, a webhook is inactive by default. You can activate the webhook by calling the Update webhook operation on it with `enabled` set to `true`. **Webhook instance limits** Each scope object, such as a plan or a sheet, can have a maximum number of associated webhooks. | Object | Maximum webhooks | | :----------- | :-------------------------- | | Plan | 100 | | Sheet | 100k | > **Note:** You can pass **custom headers** in your webhook requests, which Smartsheet then adds to all requests that the webhook sends to your callback URL. This is useful for including authentication tokens or other information your application needs. To do this, add a `customHeaders` object to the request body, with each key-value pair representing a header and its value. > > See also: > > - `customHeaders` body parameter in the Body section below > - Launch a plan-level webhook > - Create a plan event-handling endpoint article > **Note:** For sheet webhooks, you can now filter which events trigger callbacks by specifying event patterns in the `events` array (for example, `["row.created", "cell.updated"]`). If you omit specific patterns or use `["*.*"]`, the webhook receives all event types. See the `events` property for supported patterns.

    POST /webhooks

  • Write

    Update webhook

    Updates the matching Webhook. > **Important:** If you set `enabled` to `true`, the behavior and result depend on the webhook's `status` and may trigger a webhook verification or, in some cases, cause an error. See Webhook status for details. > **Note:** You can pass **custom headers** in your webhook requests, which Smartsheet then adds to all requests that the webhook sends to your callback URL. This is useful for including authentication tokens or other information your application needs. To do this, add a `customHeaders` object to the request body, with each key-value pair representing a header and its value. > > See also: > > - `customHeaders` body parameter in the Body section below > - Launch a plan-level webhook > - Create a plan event-handling endpoint article > **Note:** For sheet webhooks, you can update the `events` array to filter which events trigger callbacks. Specify event patterns like `["row.created", "cell.updated"]`, or use `["*.*"]` to receive all event types. See the `events` property for supported patterns.

    PUT /webhooks/{webhookId}

  • Write

    Reset shared secret

    Resets the shared secret for the specified webhook. You can improve security by using this operation to rotate an API client webhooks' shared secrets at periodic intervals. For more information about how a shared secret is used, see the **Authenticating callbacks** section in Webhook callbacks.

    POST /webhooks/{webhookId}/resetSharedSecret

  • Destructive

    Delete webhook

    Permanently deletes the specified webhook. > **Important:** This operation permanently deletes the webhook. Alternatively, to temporarily disable the webhook, use the Update webhook operation with `enabled` set to `false`.

    DELETE /webhooks/{webhookId}

Workspaces

  • Read

    List workspaces

    Retrieves a list of workspaces that the user has access to. It returns metadata for the workspaces only and doesn't include nested sub-structures. > **See also:** Pagination - SDK examples demonstrates listing workspaces with token-based pagination.

    GET /workspaces

  • Read

    Get workspace metadata

    Gets the metadata of a workspace.

    GET /workspaces/{workspaceId}/metadata

  • Read

    List workspace children

    Retrieves a paginated list of immediate child resources within a specified workspace. **Key Characteristics** - **Shallow representation:** It returns metadata for the direct children only, rather than the full content or nested sub-structures. - **Filtered by type:** The results are restricted to the resource types defined in the `childrenResourceTypes` query parameter. - **Paginated:** The response provides a page of results, implying that for large workspaces, multiple requests may be necessary to view all children. > **Note:** For pagination guidance, refer to Token-based pagination.

    GET /workspaces/{workspaceId}/children

  • Write

    Create workspace

    Creates a new workspace.

    POST /workspaces

  • Write

    Update workspace

    Updates a workspace.

    PUT /workspaces/{workspaceId}

  • Write

    Copy workspace

    Copies a workspace. > **Important:** This operation doesn't copy cell history.

    POST /workspaces/{workspaceId}/copy

  • Write

    Create folder in workspace

    Creates a new folder in the workspace.

    POST /workspaces/{workspaceId}/folders

  • Destructive

    Delete workspace

    Deletes a workspace.

    DELETE /workspaces/{workspaceId}

Get started

  1. Open Space settings → Connections and search for Smartsheet.
  2. Connect your account and add the connection to the Space.
  3. Ask for what you need in any thread in that Space.

See How connections work for access and permissions, or browse all integrations.